ActiveRedisConnection

Description
ActiveRedisConnection is the Schema for the activeredisconnections API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ActiveRedisConnectionSpec defines the desired state of ActiveRedisConnection

statusobject

ActiveRedisConnectionStatus defines the observed state of ActiveRedisConnection

.spec

Description
ActiveRedisConnectionSpec defines the desired state of ActiveRedisConnection
Type
object
Required
addressesinstancesecretName
PropertyTypeDescription
activeRedisNamestring

DeActiveRedisName is the name of the readonly active redis.

addressesarray

Addresses is a list of redis addresses for the active redis connection. It can be a single address or multiple addresses.

enableTLSboolean

EnableTLS enable tls for redis connection.

instancestring

Instance is the instance name of local redis.

pauseboolean

Pause is used to pause the active redis connection. When set to true, the active redis connection will not be established. This is useful for maintenance or temporary disabling of the connection.

secretNamestring

SecretName the secret name for redis authentication. for default user, the password field is required.

.spec.addresses

Description
Addresses is a list of redis addresses for the active redis connection. It can be a single address or multiple addresses.
Type
array

.spec.addresses[]

Type
string

.status

Description
ActiveRedisConnectionStatus defines the observed state of ActiveRedisConnection
Type
object
PropertyTypeDescription
activeRedisNamestring

ActiveRedisName

instancestring

Instance is the instance name of local redis.

messagestring

Message

networkobject

Network is the network status for redis connection.

shardsarray

Role string json:"role,omitempty" Shards is the shards status for peer redis.

statusstring

Status is the status of the active redis connection.

upstreamPeerobject

UpstreamPeer is the upstream peer redis.

.status.network

Description
Network is the network status for redis connection.
Type
object
PropertyTypeDescription
delayinteger

Delay is the network delay for ping in ms.

lastCheckTime integer

LastCheckTime is the last check time for network.

.status.shards

Description
Role string `json:"role,omitempty"` Shards is the shards status for peer redis.
Type
array

.status.shards[]

Type
object
Required
indexstatussyncStatus
PropertyTypeDescription
indexinteger

Index is the index of the shard.

offsetstring

Offset is the current offset sync from peer redis.

opIdstring

OpId is the current opId sync from peer redis.

statusstring

Status is the status of the shard.

syncStatusstring

SyncStatus is the sync status of the shard.

.status.upstreamPeer

Description
UpstreamPeer is the upstream peer redis.
Type
object
PropertyTypeDescription
service_idinteger

ServiceID is the service ID of the upstream peer redis.

service_metadataobject

ServiceMetadata is the metadata of the upstream peer redis service.

.status.upstreamPeer.service_metadata

Description
ServiceMetadata is the metadata of the upstream peer redis service.
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections
    • DELETE: delete collection of ActiveRedisConnection
    • GET: list objects of kind ActiveRedisConnection
    • POST: create a new ActiveRedisConnection
  • /apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections/{name}
    • DELETE: delete the specified ActiveRedisConnection
    • GET: read the specified ActiveRedisConnection
    • PATCH: partially update the specified ActiveRedisConnection
    • PUT: replace the specified ActiveRedisConnection
  • /apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections/{name}/status
    • GET: read status of the specified ActiveRedisConnection
    • PATCH: partially update status of the specified ActiveRedisConnection
    • PUT: replace status of the specified ActiveRedisConnection

/apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections

HTTP method
DELETE
Description
delete collection of ActiveRedisConnection
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ActiveRedisConnection
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnectionList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyActiveRedisConnection schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
201 - CreatedActiveRedisConnection schema
202 - AcceptedActiveRedisConnection schema
401 - UnauthorizedEmpty

/apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections/{name}

HTTP method
DELETE
Description
delete the specified ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ActiveRedisConnection
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyActiveRedisConnection schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
201 - CreatedActiveRedisConnection schema
401 - UnauthorizedEmpty

/apis/redis.middleware.alauda.io/v1alpha1/namespaces/{namespace}/activeredisconnections/{name}/status

HTTP method
GET
Description
read status of the specified ActiveRedisConnection
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ActiveRedisConnection
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyActiveRedisConnection schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKActiveRedisConnection schema
201 - CreatedActiveRedisConnection schema
401 - UnauthorizedEmpty